Subject: Re: forcedeth: option to disable 100Hz timer

From: Stephen Hemminger <[email-masked]>
Date: Tue, 2 Sep 2008 09:11:26 -0700

On Mon, 01 Sep 2008 18:41:44 -0600
Robert Hancock <[email-masked]> wrote:

> Mikhail Kshevetskiy wrote:
> > On some hardware no TX done interrupts are generated, thus special
> > 100Hz timer interrupt is required to handle this situation properly.
> > Other device do not require that timer interrupt feature.
> > 
> > Patch add a "disable_timerirq" option to disable interrupt timer 
> > mentioned above. This may be extremely usefull for laptop users.
> > 
> > Mikhail Kshevetskiy
> > 
> 
> Someone (ideally NVIDIA) should really find out what hardware actually 
> requires this timer IRQ and only set the flag on those chipsets rather 
> than blindingly setting it on everything. This patch would be useful to 
> test whether a chipset does need it, however.

Some drivers run without TX done interrupts at all. It can be done, it just
requires cleaning up the ring in the start of the next transmit, and starting
a longer interval timer to cleanup leftover frames at the end of a burst.